Bug 1478044 - ICE: in size_binop_loc, at fold-const.c:1767
ICE: in size_binop_loc, at fold-const.c:1767
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-03 09:26 EDT by Jan Pokorný
Modified: 2017-08-09 08:37 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-09 08:37:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
preprocessed source (18.15 KB, text/plain)
2017-08-03 09:26 EDT, Jan Pokorný
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 81695 None None None 2017-08-03 09:39 EDT

  None (edit)
Description Jan Pokorný 2017-08-03 09:26:39 EDT
Created attachment 1308740 [details]
preprocessed source

# gcc -xc - <<EOF
#include <stdio.h>
int z[] = {};
int main(int argc, char *argv[]) { printf("%d\n", *(z + 1)); }
EOF
> <stdin>: In function ‘main’:
> <stdin>:3:36: internal compiler error: in size_binop_loc, at fold-const.c:1767
> Please submit a full bug report,
> with preprocessed source if appropriate

# rpm -q gcc
> gcc-7.1.1-6.fc27.x86_64
Comment 1 Marek Polacek 2017-08-03 09:33:28 EDT
Confirmed with trunk.  Started with r172261.  Will take this upstream.
Comment 2 Marek Polacek 2017-08-04 07:29:09 EDT
I've committed a fix to GCC mainline, but not sure if I'll backport this to 7.
Comment 3 Marek Polacek 2017-08-09 08:37:52 EDT
I think not.

Note You need to log in before you can comment on or make changes to this bug.